
_Write_Time:

;tardis.c,38 :: 		void Write_Time() {
;tardis.c,39 :: 		Soft_I2C_Start();          // issue start signal
	CALL        _Soft_I2C_Start+0, 0
;tardis.c,40 :: 		Soft_I2C_Write(DS1307);       // address DS1307
	MOVLW       208
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,41 :: 		Soft_I2C_Write(0);            // start from word at address (REG0)
	CLRF        FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,42 :: 		Soft_I2C_Write(0x80);         // write $80 to REG0. (pause counter + 0 sec)
	MOVLW       128
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,43 :: 		Soft_I2C_Write(myMin);            // write 0 to minutes word to (REG1)
	MOVF        _myMin+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,44 :: 		Soft_I2C_Write(myHour);         // write 17 to hours word (24-hours mode)(REG2)
	MOVF        _myHour+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,45 :: 		Soft_I2C_Write(myDay);         // write 2 - Monday (REG3)
	MOVF        _myDay+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,46 :: 		Soft_I2C_Write(myDate);         // write 4 to date word (REG4)
	MOVF        _myDate+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,47 :: 		Soft_I2C_Write(myMon);         // write 5 (May) to month word (REG5)
	MOVF        _myMon+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,48 :: 		Soft_I2C_Write(myYear);         // write 01 to year word (REG6)
	MOVF        _myYear+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,49 :: 		Soft_I2C_Stop();           // issue stop signal
	CALL        _Soft_I2C_Stop+0, 0
;tardis.c,51 :: 		Soft_I2C_Start();          // issue start signal
	CALL        _Soft_I2C_Start+0, 0
;tardis.c,52 :: 		Soft_I2C_Write(DS1307);       // address DS1307
	MOVLW       208
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,53 :: 		Soft_I2C_Write(0);            // start from word at address 0
	CLRF        FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,54 :: 		Soft_I2C_Write(0);            // write 0 to REG0 (enable counting + 0 sec)
	CLRF        FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,55 :: 		Soft_I2C_Stop();           // issue stop signal
	CALL        _Soft_I2C_Stop+0, 0
;tardis.c,56 :: 		}
L_end_Write_Time:
	RETURN      0
; end of _Write_Time

_Read_Time:

;tardis.c,58 :: 		void Read_Time(char *sec, char *min, char *hr, char *week_day, char *day, char *mn, char *year) {
;tardis.c,59 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;tardis.c,60 :: 		Soft_I2C_Write(DS1307);
	MOVLW       208
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,61 :: 		Soft_I2C_Write(0);
	CLRF        FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,62 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;tardis.c,63 :: 		Soft_I2C_Write(0xD1);
	MOVLW       209
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;tardis.c,64 :: 		*sec =Soft_I2C_Read(1);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_sec+0, FSR1
	MOVFF       FARG_Read_Time_sec+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,65 :: 		*min =Soft_I2C_Read(1);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_min+0, FSR1
	MOVFF       FARG_Read_Time_min+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,66 :: 		*hr =Soft_I2C_Read(1);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_hr+0, FSR1
	MOVFF       FARG_Read_Time_hr+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,67 :: 		*week_day =Soft_I2C_Read(1);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_week_day+0, FSR1
	MOVFF       FARG_Read_Time_week_day+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,68 :: 		*day =Soft_I2C_Read(1);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_day+0, FSR1
	MOVFF       FARG_Read_Time_day+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,69 :: 		*mn =Soft_I2C_Read(1);
	MOVLW       1
	MOVWF       FARG_Soft_I2C_Read_ack+0 
	MOVLW       0
	MOVWF       FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_mn+0, FSR1
	MOVFF       FARG_Read_Time_mn+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,70 :: 		*year =Soft_I2C_Read(0);
	CLRF        FARG_Soft_I2C_Read_ack+0 
	CLRF        FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVFF       FARG_Read_Time_year+0, FSR1
	MOVFF       FARG_Read_Time_year+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;tardis.c,71 :: 		Soft_I2C_Stop();
	CALL        _Soft_I2C_Stop+0, 0
;tardis.c,72 :: 		}
L_end_Read_Time:
	RETURN      0
; end of _Read_Time

_Transform_Time:

;tardis.c,74 :: 		void Transform_Time(char  *sec, char *min, char *hr, char *week_day, char *day, char *mn, char *year) {
;tardis.c,75 :: 		*sec  =  ((*sec & 0x70) >> 4)*10 + (*sec & 0x0F);
	MOVFF       FARG_Transform_Time_sec+0, FSR0
	MOVFF       FARG_Transform_Time_sec+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       112
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_sec+0, FSR1
	MOVFF       FARG_Transform_Time_sec+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;tardis.c,76 :: 		*min  =  ((*min & 0xF0) >> 4)*10 + (*min & 0x0F);
	MOVFF       FARG_Transform_Time_min+0, FSR0
	MOVFF       FARG_Transform_Time_min+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       240
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_min+0, FSR1
	MOVFF       FARG_Transform_Time_min+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;tardis.c,77 :: 		*hr   =  ((*hr & 0x30) >> 4)*10 + (*hr & 0x0F);
	MOVFF       FARG_Transform_Time_hr+0, FSR0
	MOVFF       FARG_Transform_Time_hr+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       48
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_hr+0, FSR1
	MOVFF       FARG_Transform_Time_hr+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;tardis.c,78 :: 		*week_day =(*week_day & 0x07);
	MOVFF       FARG_Transform_Time_week_day+0, FSR0
	MOVFF       FARG_Transform_Time_week_day+1, FSR0H
	MOVFF       FARG_Transform_Time_week_day+0, FSR1
	MOVFF       FARG_Transform_Time_week_day+1, FSR1H
	MOVLW       7
	ANDWF       POSTINC0+0, 1 
;tardis.c,79 :: 		*day  =  ((*day & 0xF0) >> 4)*10 + (*day & 0x0F);
	MOVFF       FARG_Transform_Time_day+0, FSR0
	MOVFF       FARG_Transform_Time_day+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       240
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_day+0, FSR1
	MOVFF       FARG_Transform_Time_day+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;tardis.c,80 :: 		*mn   =  ((*mn & 0x10) >> 4)*10 + (*mn & 0x0F);
	MOVFF       FARG_Transform_Time_mn+0, FSR0
	MOVFF       FARG_Transform_Time_mn+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       16
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_mn+0, FSR1
	MOVFF       FARG_Transform_Time_mn+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;tardis.c,81 :: 		*year =  ((*year & 0xF0)>>4)*10+(*year & 0x0F);
	MOVFF       FARG_Transform_Time_year+0, FSR0
	MOVFF       FARG_Transform_Time_year+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVLW       240
	ANDWF       R3, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       R3, 0 
	MOVWF       R0 
	MOVFF       FARG_Transform_Time_year+0, FSR1
	MOVFF       FARG_Transform_Time_year+1, FSR1H
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       POSTINC1+0 
;tardis.c,82 :: 		}
L_end_Transform_Time:
	RETURN      0
; end of _Transform_Time

_Display_Time:

;tardis.c,84 :: 		void Display_Time(char sec, char min, char hr, char week_day, char day, char mn, char year) {
;tardis.c,85 :: 		switch(week_day){
	GOTO        L_Display_Time0
;tardis.c,86 :: 		case 1: txt="Sun"; break;
L_Display_Time2:
	MOVLW       ?lstr1_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr1_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,87 :: 		case 2: txt="Mon"; break;
L_Display_Time3:
	MOVLW       ?lstr2_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr2_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,88 :: 		case 3: txt="Tue"; break;
L_Display_Time4:
	MOVLW       ?lstr3_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr3_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,89 :: 		case 4: txt="Wed"; break;
L_Display_Time5:
	MOVLW       ?lstr4_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr4_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,90 :: 		case 5: txt="Thu"; break;
L_Display_Time6:
	MOVLW       ?lstr5_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr5_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,91 :: 		case 6: txt="Fri"; break;
L_Display_Time7:
	MOVLW       ?lstr6_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr6_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,92 :: 		case 7: txt="Sat"; break;
L_Display_Time8:
	MOVLW       ?lstr7_tardis+0
	MOVWF       _txt+0 
	MOVLW       hi_addr(?lstr7_tardis+0)
	MOVWF       _txt+1 
	GOTO        L_Display_Time1
;tardis.c,93 :: 		}
L_Display_Time0:
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time2
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time3
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time4
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time5
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time6
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time7
	MOVF        FARG_Display_Time_week_day+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Time8
L_Display_Time1:
;tardis.c,95 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;tardis.c,96 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;tardis.c,97 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;tardis.c,101 :: 		Lcd_Chr(1, 1, (hr / 10)   + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_hr+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,102 :: 		Lcd_Chr(1, 2, (hr % 10)   + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_hr+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,103 :: 		Lcd_Chr(1,3,':')  ;
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       58
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,104 :: 		Lcd_Chr(1, 4, (min / 10) + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_min+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,105 :: 		Lcd_Chr(1,5, (min % 10) + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_min+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,106 :: 		Lcd_Chr(1,6,':')  ;
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       6
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       58
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,107 :: 		Lcd_Chr(1,7, (sec / 10) + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_sec+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,108 :: 		Lcd_Chr(1,8, (sec % 10) + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_sec+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,110 :: 		Lcd_Chr(1, 10, (day / 10)   + 48);    // Print tens digit of day variable
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_day+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,111 :: 		Lcd_Chr(1, 11, (day % 10)   + 48);    // Print oness digit of day variable
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_day+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,112 :: 		Lcd_Chr(1,12,'/')  ;
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       47
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,114 :: 		Lcd_Chr(1,13, (mn % 10) + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       13
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_mn+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,115 :: 		Lcd_Chr(1,14,'/')  ;
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       47
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,116 :: 		Lcd_Chr(1,15,  (year / 10)  + 48);          // Print year vaiable + 8 (start from year 2008)
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,117 :: 		Lcd_Chr(1,16,  (year % 10)  + 48);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       16
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        FARG_Display_Time_year+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;tardis.c,118 :: 		}
L_end_Display_Time:
	RETURN      0
; end of _Display_Time

_Set_Time:

;tardis.c,120 :: 		void Set_Time()
;tardis.c,122 :: 		myDate=0x20;
	MOVLW       32
	MOVWF       _myDate+0 
;tardis.c,123 :: 		myMon=0x03;
	MOVLW       3
	MOVWF       _myMon+0 
;tardis.c,124 :: 		myYear=0x14;
	MOVLW       20
	MOVWF       _myYear+0 
;tardis.c,125 :: 		myHour=0x12;
	MOVLW       18
	MOVWF       _myHour+0 
;tardis.c,126 :: 		myMin=0x55;
	MOVLW       85
	MOVWF       _myMin+0 
;tardis.c,127 :: 		myDay= 0x05;
	MOVLW       5
	MOVWF       _myDay+0 
;tardis.c,128 :: 		Write_Time();
	CALL        _Write_Time+0, 0
;tardis.c,129 :: 		}
L_end_Set_Time:
	RETURN      0
; end of _Set_Time

_Init_Main_Simple:

;tardis.c,132 :: 		void Init_Main_Simple() {
;tardis.c,133 :: 		ADCON1 = 0x0F; // page 268, disable analaog
	MOVLW       15
	MOVWF       ADCON1+0 
;tardis.c,134 :: 		CMCON = 0x07;
	MOVLW       7
	MOVWF       CMCON+0 
;tardis.c,135 :: 		INTCON2 = 0x80; // disable pull up in port b
	MOVLW       128
	MOVWF       INTCON2+0 
;tardis.c,139 :: 		LATA = 0x00;
	CLRF        LATA+0 
;tardis.c,140 :: 		LATC = 0x00;
	CLRF        LATC+0 
;tardis.c,142 :: 		LATE = 0x00;
	CLRF        LATE+0 
;tardis.c,145 :: 		TRISA = 0x00;
	CLRF        TRISA+0 
;tardis.c,146 :: 		TRISB = 0x00;
	CLRF        TRISB+0 
;tardis.c,147 :: 		TRISC = 0x00;
	CLRF        TRISC+0 
;tardis.c,148 :: 		TRISD = 0x00;
	CLRF        TRISD+0 
;tardis.c,149 :: 		TRISE = 0x00;
	CLRF        TRISE+0 
;tardis.c,150 :: 		PORTC=0x33;
	MOVLW       51
	MOVWF       PORTC+0 
;tardis.c,151 :: 		TRISC=0x33;
	MOVLW       51
	MOVWF       TRISC+0 
;tardis.c,153 :: 		Lcd_Init();                // Initialize LCD
	CALL        _Lcd_Init+0, 0
;tardis.c,154 :: 		Lcd_Cmd(_LCD_CLEAR);       // Clear LCD display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;tardis.c,155 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);  // Turn cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;tardis.c,157 :: 		Soft_I2C_Init();                        // initialize I2C
	CALL        _Soft_I2C_Init+0, 0
;tardis.c,158 :: 		Lcd_Out(1,1,"Software I2C");Lcd_Out(2,1," Initialized") ;   Delay_ms(500);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr8_tardis+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr8_tardis+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr9_tardis+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr9_tardis+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_Init_Main_Simple9:
	DECFSZ      R13, 1, 1
	BRA         L_Init_Main_Simple9
	DECFSZ      R12, 1, 1
	BRA         L_Init_Main_Simple9
	DECFSZ      R11, 1, 1
	BRA         L_Init_Main_Simple9
	NOP
	NOP
;tardis.c,159 :: 		}
L_end_Init_Main_Simple:
	RETURN      0
; end of _Init_Main_Simple

_main:

;tardis.c,163 :: 		void main() {
;tardis.c,164 :: 		Init_Main_Simple();
	CALL        _Init_Main_Simple+0, 0
;tardis.c,167 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;tardis.c,168 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;tardis.c,169 :: 		Lcd_Out(1,1,"Digital Clock"); Lcd_Out(2,1," using DS1307");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr10_tardis+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr10_tardis+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr11_tardis+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr11_tardis+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;tardis.c,171 :: 		Soft_I2C_Sda_Direction = 1;
	BSF         TRISB4_bit+0, 4 
;tardis.c,172 :: 		while (1) {
L_main10:
;tardis.c,173 :: 		Read_Time(&sec,&min1,&hr,&week_day,&day,&mn,&year);      // read time from RTC(DS1307)
	MOVLW       _sec+0
	MOVWF       FARG_Read_Time_sec+0 
	MOVLW       hi_addr(_sec+0)
	MOVWF       FARG_Read_Time_sec+1 
	MOVLW       _min1+0
	MOVWF       FARG_Read_Time_min+0 
	MOVLW       hi_addr(_min1+0)
	MOVWF       FARG_Read_Time_min+1 
	MOVLW       _hr+0
	MOVWF       FARG_Read_Time_hr+0 
	MOVLW       hi_addr(_hr+0)
	MOVWF       FARG_Read_Time_hr+1 
	MOVLW       _week_day+0
	MOVWF       FARG_Read_Time_week_day+0 
	MOVLW       hi_addr(_week_day+0)
	MOVWF       FARG_Read_Time_week_day+1 
	MOVLW       _day+0
	MOVWF       FARG_Read_Time_day+0 
	MOVLW       hi_addr(_day+0)
	MOVWF       FARG_Read_Time_day+1 
	MOVLW       _mn+0
	MOVWF       FARG_Read_Time_mn+0 
	MOVLW       hi_addr(_mn+0)
	MOVWF       FARG_Read_Time_mn+1 
	MOVLW       _year+0
	MOVWF       FARG_Read_Time_year+0 
	MOVLW       hi_addr(_year+0)
	MOVWF       FARG_Read_Time_year+1 
	CALL        _Read_Time+0, 0
;tardis.c,174 :: 		Transform_Time(&sec,&min1,&hr,&week_day,&day,&mn,&year); // format date and time
	MOVLW       _sec+0
	MOVWF       FARG_Transform_Time_sec+0 
	MOVLW       hi_addr(_sec+0)
	MOVWF       FARG_Transform_Time_sec+1 
	MOVLW       _min1+0
	MOVWF       FARG_Transform_Time_min+0 
	MOVLW       hi_addr(_min1+0)
	MOVWF       FARG_Transform_Time_min+1 
	MOVLW       _hr+0
	MOVWF       FARG_Transform_Time_hr+0 
	MOVLW       hi_addr(_hr+0)
	MOVWF       FARG_Transform_Time_hr+1 
	MOVLW       _week_day+0
	MOVWF       FARG_Transform_Time_week_day+0 
	MOVLW       hi_addr(_week_day+0)
	MOVWF       FARG_Transform_Time_week_day+1 
	MOVLW       _day+0
	MOVWF       FARG_Transform_Time_day+0 
	MOVLW       hi_addr(_day+0)
	MOVWF       FARG_Transform_Time_day+1 
	MOVLW       _mn+0
	MOVWF       FARG_Transform_Time_mn+0 
	MOVLW       hi_addr(_mn+0)
	MOVWF       FARG_Transform_Time_mn+1 
	MOVLW       _year+0
	MOVWF       FARG_Transform_Time_year+0 
	MOVLW       hi_addr(_year+0)
	MOVWF       FARG_Transform_Time_year+1 
	CALL        _Transform_Time+0, 0
;tardis.c,176 :: 		Display_Time(sec, min1, hr, week_day, day, mn, year);
	MOVF        _sec+0, 0 
	MOVWF       FARG_Display_Time_sec+0 
	MOVF        _min1+0, 0 
	MOVWF       FARG_Display_Time_min+0 
	MOVF        _hr+0, 0 
	MOVWF       FARG_Display_Time_hr+0 
	MOVF        _week_day+0, 0 
	MOVWF       FARG_Display_Time_week_day+0 
	MOVF        _day+0, 0 
	MOVWF       FARG_Display_Time_day+0 
	MOVF        _mn+0, 0 
	MOVWF       FARG_Display_Time_mn+0 
	MOVF        _year+0, 0 
	MOVWF       FARG_Display_Time_year+0 
	CALL        _Display_Time+0, 0
;tardis.c,177 :: 		}
	GOTO        L_main10
;tardis.c,178 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
